//
//  YHPrincleModel.swift
//  galaxy
//
//  Created by edy on 2024/4/26.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import AttributedString

class YHPrincleGroupModel: NSObject {
    
    var title: String = ""
    var subTitle: String = ""
    var fileList:[String] = []
    var isExpand:Bool = false
    var isNeedTemplate: Bool = true
    var isNeedUploadBtn: Bool = true
    var tips: String = ""
//    "1.新公司在职证明（在申请期间更换了工作时必传）\n2.主申人的曾用名证明文件，例如户口本副本\n3.主申请人的中国无刑事罪行记录证明书副本（由公安局开具）"
    var tips1: ASAttributedString = YHPrincleGroupModel.getTips()
    var redTips: String = "驳回原因：你的证件不合格不合格不合格不合格不合格。"
    
    static func getTips() -> ASAttributedString {
        let a: ASAttributedString = .init("请【下载模板】，填写信息，贵单位", .font(UIFont.PFSC_R(ofSize: 12)),.foreground(UIColor.mainTextColor))
        let b: ASAttributedString = .init("签字盖章", .font(UIFont.PFSC_R(ofSize: 12)),.foreground(UIColor.init(hex: 0x3570DC)))
        let c: ASAttributedString = .init("后，拍照or扫描上传", .font(UIFont.PFSC_R(ofSize: 12)),.foreground(UIColor.mainTextColor))
        return a + b + c
    }
    
}
